# prism-console

> [Prism](https://prismjs.com) but outputs to the browser console.

prism-console uses the syntax highlighter [Prism](https://prismjs.com) to highlight source code, and output this highlighted code to the browser console.

## Example

The following code, when run in a browser, displays the console:

```javascript
import { generateTheme, highlight } from "prism-console";
import Prismjs from "prismjs";

const theme = generateTheme(...);

const code = `var x = console.log("test");`;

console.log(...highlight(code, Prismjs.languages.javascript, theme));
```

![syntax highlighted code](https://raw.githubusercontent.com/tomblcode/prism-console/master/example/terminal.png)

<center><i>in the terminal</i></center>

![syntax highlighted code](https://raw.githubusercontent.com/tomblcode/prism-console/master/example/browser.png)

<center><i>in the browser</i></center>

## API

### `generateTheme(stylesheet: string): Theme`

`stylesheet` is the CSS source for the Prism theme.

### `highlight(code: string, grammar: Prismjs.Grammar, theme: Theme, platform?: Platform): string[]`

`code` is the code to be highlighted.

`grammar` A [Prism](https://prismjs.com) language grammar, typically taken from `Prismjs.languages`.

`theme` is the theme to highlight the code with, generated by `generateTheme`.

`platform` is an instance of the enum `Platform`, which is either `Browser` or `Node`. This is auto-detected if not passed.

`highlight` returns an array of arguments to be passed to any function in the `console.log` family.
